CVE-2001-0931
CVSS7.5
发布时间 :2001-11-28 00:00:00
修订时间 :2016-10-17 22:13:30
NMCOS    

[原文]Directory traversal vulnerability in Cooolsoft PowerFTP Server 2.03 allows attackers to list or read arbitrary files and directories via a .. (dot dot) in (1) LS or (2) GET.


[CNNVD]Cooolsoft PowerFTP Server目录遍历漏洞(CNNVD-200111-050)

        Cooolsoft PowerFTP Server 2.03版本存在目录遍历漏洞。攻击者借助(1)LS或者(2)GET的 .. (点 点)列出或者读取任意文件和目录。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0931
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0931
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200111-050
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=100698397818175&w=2
(UNKNOWN)  BUGTRAQ  20011128 PowerFTP-server-Bugs&Exploits-Remotes
http://www.securityfocus.com/bid/3593
(VENDOR_ADVISORY)  BID  3593
http://xforce.iss.net/static/7615.php
(VENDOR_ADVISORY)  XF  powerftp-dot-directory-traversal(7615)

- 漏洞信息

Cooolsoft PowerFTP Server目录遍历漏洞
高危 路径遍历
2001-11-28 00:00:00 2005-10-20 00:00:00
远程  
        Cooolsoft PowerFTP Server 2.03版本存在目录遍历漏洞。攻击者借助(1)LS或者(2)GET的 .. (点 点)列出或者读取任意文件和目录。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

7756
Cooolsoft PowerFTP Server Multiple Command Arbitrary File Access
Remote / Network Access Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

PowerFTP contains a flaw that allows a remote attacker to access unauthorized files. The issue is due to the PowerFTP Server inproperly checking for permissions on other drives. By sending the LS or GET command with "dot dot" sequences (/../), a remote attacker can access other files outside of the FTP server root directory, resulting a loss of confidentiality and integrity.

- 时间线

2001-11-28 Unknow
2001-11-28 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Cooolsoft PowerFTP Server Directory Traversal Vulnerability
Input Validation Error 3593
Yes No
2001-11-29 12:00:00 2009-07-11 09:06:00
Discovered and posted to Bugtraq by al3x hernandez <al3xhernandez@ureach.com>.

- 受影响的程序版本

Cooolsoft PowerFTP 2.24
Cooolsoft PowerFTP 2.23
Cooolsoft PowerFTP 2.10
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows ME
- Microsoft Windows NT Workstation 4.0 SP6a
- Microsoft Windows NT Workstation 4.0 SP5
- Microsoft Windows NT Workstation 4.0 SP4
- Microsoft Windows NT Workstation 4.0 SP3
- Microsoft Windows NT Workstation 4.0 SP2
- Microsoft Windows NT Workstation 4.0 SP1
- Microsoft Windows NT Workstation 4.0
- Microsoft Windows XP Home
Cooolsoft PowerFTP 2.0 3
- Microsoft Windows 2000 Professional SP2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows ME
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0

- 漏洞讨论

PowerFTP is a commercial FTP server for Microsoft Windows 9x/ME/NT/2000/XP operating systems. It is maintained by Cooolsoft.

Authenticated users can gain read access to the directories of the host where the FTP server has been installed. Through the use of '../' character sequences, arbitrary directories and files could be disclosed, potentially compromising the privacy of user data and/or obtaining information which could be used to further compromise the host's security.

This is due to insufficient validation of user-supplied input.

If successfully exploited this vulnerability could lead to the disclosure of sensitive information assisting in further attacks against the host.

- 漏洞利用

This issue may be exploited with a FTP client.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站